Subject: Re: ppc32: Rework power management take #3

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 04 Jun 2005 08:43:57 +1000

> Normally I use rivafb, but I tried video=ofonly and did not get a
> freeze. I tried it three times and I hope that this is good statistics.
> With 2.6.12-rc2 and riva fb I got the freeze in about 80% of all initial
> suspends, with rc{4,5-git6} and riva fb I had it everytime. But it may
> still well be that there is a random component since I learned to
> workaround the problem by switching to tty1 and thus don't trigger the
> freeze condition that often.

Ok, what happens if you run rivafb, ssh into the box, and open a new tty
(that is leave the box on X, but do something like echo "toto"
>/dev/tty8) to create a new tty in the background.

Does that trigger the freeze ?

Ben.